eoStdoutMonitor(3)

NAME
eoStdoutMonitor - Prints statistics to stdout.

SYNOPSIS

#include <eoStdoutMonitor.h>

Inherits eoMonitor.

  Public Member Functions
eoStdoutMonitor (bool _verbose=true, std::string _delim='\t')
eoMonitor & operator() (void)
The pure virtual function that needs to be implemented by the subclass.
virtual std::string className (void) const

  Private Attributes
bool verbose
std::string delim
bool firsttime

Detailed Description

Prints statistics to stdout.

Definition at line 38 of file eoStdoutMonitor.h.

Author

Generated automatically by Doxygen for EO from the source code.